function outputMatrix = strNaNs2numNaNs(inputCellArray)

outputMatrix = cell2mat(cellfun(@(x) convertTextToNaN(x), inputCellArray,...
    'UniformOutput', false));

end

%% HELPER FUNCTION TO USE IN cellfun CALL
function cellReturn = convertTextToNaN(cellEntry)

if strcmp(class(cellEntry), 'char')
    cellReturn = str2double(cellEntry);
else
    cellReturn = cellEntry;
end

end